<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion 

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	$fecha=$_POST['md_fal_fecha'];
	$tip_falta=$_POST['md_fal_tipo_falta'];
	
	$id_est=$academia->escapar($_POST[ide_est],'int');
	
	$cd_falta=$academia->escapar($_POST["md_fal_detalle"],'int');
	$descrip=$academia->escapar($_POST["md_fal_descrip"]);
	$obs=$academia->escapar($_POST['md_fal_obs'],'text');
	
	$periodo=(int)$_POST['periodo'];

	switch($acction){
//`SP_NEW_EDT_FALTAS_ESTUDIANTES`( OPER ,IDEFALTA,CODFALTA,CODESTUDIANTE,FECHA ,DESCFALTA ,PERIODO, OBSERVA )		
		case 'del':
			$sql="CALL SP_NEW_EDT_FALTAS_ESTUDIANTES('$acction' ,$codigo,'',$id_est,'','','$periodo','')";
		break; 
		
		case 'edit';
			$sql="CALL SP_NEW_EDT_FALTAS_ESTUDIANTES( '$acction' ,$codigo,'$cd_falta',$id_est,'$fecha','$descrip',$periodo, '$obs')";
		break;
		
		case 'new':
		$sql="CALL SP_NEW_EDT_FALTAS_ESTUDIANTES( '$acction' ,'','$cd_falta',$id_est,'$fecha','$descrip',$periodo, '$obs')";
		
		break;
		default:
			$sql=""; 
	}
	//echo $sql.'<br>'; 
	//exit;
	
	if($sql!=''){
		$academia->instruccion($sql);
		if($academia->extraer_error()==0){
			$r=$academia->extraer_registro();
		}
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$r[IDEFALTA], 'nota'=>ucfirst($r[CADENA]),'sql'=>$sql);
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo,'nota'=>ucfirst($r[CADENA]),'sql'=>$sql);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>